## libgclib 0.11.2

=== debian/changelog ===
libgclib (0.11.2-1) unstable; urgency=medium

  * Initial release (Closes: #924582)

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jun 2019 19:10:04 +0200
