=== debian/control ===
Source: libgclib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               d-shlibs
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/libgclib
Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
Homepage: https://github.com/gpertea/gclib

Package: libgclib-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgclib0 (= ${binary:Version}),
         ${misc:Depends}
Description: header files for Genome Code Lib (GCLib)
 This is an eclectic gathering of (mostly) C++ code which upstream used
 for some bioinformatics projects. The main idea is to provide
 lean code and efficient data structures, trying to avoid too many code
 dependencies of heavy libraries while minimizing production cycles (and
 this also implies a decent compile/build time -- looking at you,
 bloated configure scripts and lengthy compile times of Boost code or
 other heavy C++ template code..).
 .
 This code was gathered even before the C++ STL had been fully adopted as
 a cross-platform "standard". Since STL by itself is a bit heavier for
 most of the C++ needs, it is preferred to use simpler&leaner C++ classes
 or templates for basic strings, containers, basic algorithms etc.
 .
 Header files of Genome Code Lib. It is mainly known for being
 used by StringTie but with its own release cycle.

Package: libgclib0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library to handle biological short sequence data
 This is an eclectic gathering of (mostly) C++ code which upstream used
 for some bioinformatics projects. The main idea is to provide
 lean code and efficient data structures, trying to avoid too many code
 dependencies of heavy libraries while minimizing production cycles (and
 this also implies a decent compile/build time -- looking at you,
 bloated configure scripts and lengthy compile times of Boost code or
 other heavy C++ template code..).
 .
 This code was gathered even before the C++ STL had been fully adopted as
 a cross-platform "standard". Since STL by itself is a bit heavier for
 most of the C++ needs, it is preferred to use simpler&leaner C++ classes
 or templates for basic strings, containers, basic algorithms etc.
