## libgclib 0.11.4

=== debian/changelog ===
libgclib (0.11.4-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Use large file support only on architectures with native support
    Closes: #949966
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael R. Crusoe ]
  * Proper fix for 949966: define _FILE_OFFSET_BITS=64 and bump the SO version
  * debian/tests/run-test: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Feb 2020 10:41:51 +0100

libgclib (0.11.3-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Add new symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 07 Nov 2019 13:35:50 +0100

libgclib (0.11.2-3) unstable; urgency=medium

  * Correct symbols file for 32 bit systems.
  * Add myself as an uploader, thank you Andreas Tille for the permission!

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 26 Sep 2019 13:01:05 +0200

libgclib (0.11.2-2) unstable; urgency=medium

  * Team upload.
  * Link the shared library against pthread
  * Add Build-Depends-Package: libgclib-dev to debian/libgclib0.symbols
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Name.
  * Build mdtest properly and use it as a rudimentary test
  * Add autopkgtest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Sep 2019 10:54:10 +0200
