=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libgclib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                d-shlibs
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
 Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
 Homepage: https://github.com/gpertea/gclib
@@ -15,7 +16,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgclib0 (= ${binary:Version}),
+Depends: libgclib1 (= ${binary:Version}),
          ${misc:Depends}
 Description: header files for Genome Code Lib (GCLib)
  This is an eclectic gathering of (mostly) C++ code which upstream used
@@ -34,7 +35,7 @@
  Header files of Genome Code Lib. It is mainly known for being
  used by StringTie but with its own release cycle.
 
-Package: libgclib0
+Package: libgclib1
 Architecture: any
 Multi-Arch: same
 Section: libs
