=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 
-# DH_VERBOSE := 1
+DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
 
 include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic -flto -fPIC
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-flto
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -flto -fPIC -D_FILE_OFFSET_BITS=64
+export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed -Wl,-flto
 
 %:
 	dh $@
@@ -27,10 +27,11 @@
 	find debian/$(DEB_SOURCE)-dev -name gdimg.h -delete
 	find debian/$(DEB_SOURCE)-dev -name GBam.h -delete
 
+override_dh_installexamples:
+	dh_installexamples
+	chmod a-x debian/$(DEB_SOURCE)-dev/usr/share/doc/$(DEB_SOURCE)-dev/examples/*
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o mdtest mdtest.cpp ./.libs/libgclib.a $(LIBS) -lpthread
-	./mdtest
-	echo "FIXME: needs MD string as argument"
+	./mdtest 7TEST^BCT
 endif
-
