=== debian/watch ===
version=4

https://github.com/gpertea/gclib/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
