## libgclib 0.11.8

=== debian/changelog ===
libgclib (0.11.8-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * remove conflicting and unused PACKAGE_NAME from usr/include/gclib/config.h
  * debian/not-installed: add libgclib.la & mdtest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 17 Apr 2020 09:39:15 +0200
