=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
 Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
 Homepage: https://github.com/gpertea/gclib
+Rules-Requires-Root: no
 
 Package: libgclib-dev
 Architecture: any
