=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 		    debian/tmp/usr/lib/*/*.so
 	mkdir debian/$(DEB_SOURCE)-dev/usr/include/gclib
 	mv debian/$(DEB_SOURCE)-dev/usr/include/*.h* debian/$(DEB_SOURCE)-dev/usr/include/gclib
+	sed -i '/PACKAGE_NAME/d' debian/$(DEB_SOURCE)-dev/usr/include/gclib/config.h
 	# delete header files of not compiled C++ source files
 	find debian/$(DEB_SOURCE)-dev -name gdimg.h -delete
 	find debian/$(DEB_SOURCE)-dev -name GBam.h -delete
