## libgclib 0.11.10+ds

=== debian/changelog ===
libgclib (0.11.10+ds-2) unstable; urgency=medium

  * Provide symbols only for amd64
    Closes: #968886

 -- Andreas Tille <tille@debian.org>  Fri, 18 Sep 2020 11:07:12 +0200

libgclib (0.11.10+ds-1) unstable; urgency=medium

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Sat, 08 Aug 2020 22:56:32 +0200

libgclib (0.11.9-2) unstable; urgency=medium

  * Bump soname. Closes: #962550
  * debhelper-compat 13 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jul 2020 20:42:23 +0200

libgclib (0.11.9-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Jun 2020 15:53:25 +0200
