=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Michael R. Crusoe <michael.crusoe@gmail.com>
+           Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                d-shlibs
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgclib1 (= ${binary:Version}),
+Depends: libgclib2 (= ${binary:Version}),
          ${misc:Depends}
 Description: header files for Genome Code Lib (GCLib)
  This is an eclectic gathering of (mostly) C++ code which upstream used
@@ -36,7 +36,7 @@
  Header files of Genome Code Lib. It is mainly known for being
  used by StringTie but with its own release cycle.
 
-Package: libgclib1
+Package: libgclib2
 Architecture: any
 Multi-Arch: same
 Section: libs
