=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,12 @@
 	dh_installexamples
 	chmod a-x debian/$(DEB_SOURCE)-dev/usr/share/doc/$(DEB_SOURCE)-dev/examples/*
 
+override_dh_auto_clean:
+	if [ -r Makefile -a -r Makefile.am ]; then dh_auto_clean; fi
+	rm -f Makefile Makefile.in aclocal.m4 config.h.in configure debian/autoreconf.after debian/autoreconf.before
+	find . -name "*.o" -delete
+
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	./mdtest 7TEST^BCT
