=== debian/watch ===
version=4

opts="repack,compression=gz,dversionmangle=auto,repacksuffix=+ds,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/gpertea/gclib/releases .*/archive/v?@ANY_VERSION@\.tar\.gz
