## libgclib 0.12.7%2Bds

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Michael R. Crusoe <crusoe@debian.org>
+           Michael R. Crusoe <crusoe@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                d-shlibs
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
 Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
 Homepage: https://github.com/gpertea/gclib
@@ -17,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgclib2 (= ${binary:Version}),
+Depends: libgclib3 (= ${binary:Version}),
          ${misc:Depends}
 Description: header files for Genome Code Lib (GCLib)
  This is an eclectic gathering of (mostly) C++ code which upstream used
@@ -36,7 +37,7 @@
  Header files of Genome Code Lib. It is mainly known for being
  used by StringTie but with its own release cycle.
 
-Package: libgclib2
+Package: libgclib3
 Architecture: any
 Multi-Arch: same
 Section: libs
