## libgclib 0.12.7+ds

=== debian/changelog ===
libgclib (0.12.7+ds-6) unstable; urgency=medium

  * d/libgclib3.symbols.amd64: flag some optional symbols. (Closes: #1097188)
  * d/control: declare compliance to standards version 4.7.2.
  * d/patches/*: normalize dep3 headers.

 -- Étienne Mollier <emollier@debian.org>  Thu, 27 Feb 2025 20:55:27 +0100

libgclib (0.12.7+ds-5) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/rules: add build option -ffat-lto-objects to restore usable code,
    per lintian error no-code-sections.
  * d/watch: fix github change; switch to git mode.
  * d/control: declare compliance to standards version 4.6.1.

 -- Étienne Mollier <emollier@debian.org>  Tue, 08 Nov 2022 21:07:26 +0100

libgclib (0.12.7+ds-4) unstable; urgency=medium

  * Team upload.
  * Source only upload.

 -- Étienne Mollier <emollier@debian.org>  Thu, 02 Dec 2021 21:28:02 +0100

libgclib (0.12.7+ds-3~0exp0) experimental; urgency=medium

  * Team upload.
  * Bump libgclib soname (Closes: #997884)
  * d/copyright: add khashl.hh, wyhash.h and xxhash.h

 -- Étienne Mollier <emollier@debian.org>  Wed, 27 Oct 2021 20:30:06 +0200

libgclib (0.12.7+ds-2) unstable; urgency=medium

  * Fix CVE-2021-42006
    Closes: #996591

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 09:55:11 +0200

libgclib (0.12.7+ds-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Adapt symbols file

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 07:40:27 +0200
