=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                d-shlibs
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
 Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
 Homepage: https://github.com/gpertea/gclib
