=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -flto -fPIC -D_FILE_OFFSET_BITS=64
-export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed -Wl,-flto
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -flto -ffat-lto-objects -fPIC -D_FILE_OFFSET_BITS=64
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-flto
 
 %:
 	dh $@
