=== debian/watch ===
version=4

opts="mode=git,dversionmangle=auto,repack,repacksuffix=+ds" \
https://github.com/gpertea/gclib.git \
refs/tags/v?([\d\.\d]+)
