## libgclib 0.12.8+ds

=== debian/changelog ===
libgclib (0.12.8+ds-1) unstable; urgency=medium

  * Migrate libgclib4 from experimental to unstable.

 -- Étienne Mollier <emollier@debian.org>  Sat, 29 Nov 2025 10:50:01 +0100

libgclib (0.12.8+ds-0+exp2) experimental; urgency=medium

  * New upstream version 0.12.8+ds
  * CVE-2021-42006.patch: unfuzz.
  * d/*: bump to libgclib4 SONAME.
    This is required by functions signature changes.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.
  * noexcept.patch: new: fix a build failure.
  * d/copyright: identify GThreads.* as ZLib material.

 -- Étienne Mollier <emollier@debian.org>  Thu, 27 Nov 2025 23:21:58 +0100
