=== debian/control ===
--- 
+++ 
@@ -12,13 +12,12 @@
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
 Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
 Homepage: https://github.com/gpertea/gclib
-Rules-Requires-Root: no
 
 Package: libgclib-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgclib3 (= ${binary:Version}),
+Depends: libgclib4 (= ${binary:Version}),
          ${misc:Depends}
 Description: header files for Genome Code Lib (GCLib)
  This is an eclectic gathering of (mostly) C++ code which upstream used
@@ -37,7 +36,7 @@
  Header files of Genome Code Lib. It is mainly known for being
  used by StringTie but with its own release cycle.
 
-Package: libgclib3
+Package: libgclib4
 Architecture: any
 Multi-Arch: same
 Section: libs
