=== debian/watch ===
Version: 5

Template: Github
Owner: gpertea
Project: gclib
Dversionmangle: auto
Repack: yes
Repacksuffix: +ds
